package yu_tencent

import yu_strconv "gogs.qqck.cn/s/tools/strconv"

// Gtk
//
//	@Description: bkn,gtk
func Gtk(s string) string {
	j_code := uint32(5381)
	for _, j_v := range s {
		j_code += j_code<<5 + uint32(j_v)
	}
	return yu_strconv.FormatUint32(j_code & 2147483647)
}
